public class ListBuildTimer {

    public static final int STEP = 100;
    public static final int MAX = 10_000;
    
    public static void main(String[] args) {
	SimpleList<Integer> list;

	RunTimer rt = new RunTimer();
	CSVWriter csv = new CSVWriter("build-times.csv");

	csv.addEntry("size");
	csv.addEntry("build time (ms)");
	csv.endLine();
	
	for (int i = STEP; i <= MAX; i += STEP) {
	    list = new ArraySimpleList<Integer>();

	    rt.reset();
	    rt.start();
	    buildList(list, i);
	    rt.stop();

	    csv.addEntry(i);
	    csv.addEntry(rt.getElapsedMillis());
	    csv.endLine();

	}

	csv.close();
    }

    static void buildList(SimpleList<Integer> list, int size) {
	for (int i = 0; i < size; i++) {
	    list.add(i, 0);
	}
    }
}
